#lang racket
(require "sitemap.rkt")
(require "robots.rkt")

(define base-url "https://lijero.co")

(define (site-page url body #:priority priority #:lastmod lastmod #:changefreq changefreq)
  (cons (sitemap-url (string-append base-url url) #:priority priority #:lastmod lastmod #:changefreq changefreq)
        (cons url (xexprs body))))

(define (gen-site pages)
  (define sitemap-urls (append* (map (match-lambda ([cons sitemap _] sitemap)) pages)))
  (define page-bodies (append* (map (match-lambda ([cons _ page] page)) pages)))
  (cons (sitemap sitemap-urls)
        (page-bodies)
